SDL_ReadS32BE(3)

NAME
SDL_ReadS32BE - Use this function to read 32 bits of big-endian data from an SDL_IOStream and return in native format.

SYNOPSIS
#include <SDL3/SDL_iostream.h>

bool SDL_ReadS32BE(SDL_IOStream *src, Sint32 *value);

DESCRIPTION
SDL byteswaps the data only if necessary, so the data returned will be in the native byte order.

This function will return false when the data stream is completely read, and SDL_GetIOStatus() will return SDL_IO_STATUS_EOF. If false is returned and the stream is not at EOF, SDL_GetIOStatus() will return a different error value and SDL_GetError() will offer a human-readable message.

FUNCTION PARAMETERS

src the stream from which to read data.

value
    a pointer filled in with the data read.

RETURN VALUE
Returns true on successful read or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
Do not use the same SDL_IOStream from two threads at once.

AVAILABILITY
This function is available since SDL 3.2.0.